Summary: Utility for visualizing block layer IO patterns and performance
Name: iowatcher
Version: 1.0
Release: alt1_3
License: GPLv2
Group: Development/Other
BuildRequires: librsvg-devel
Requires: blktrace
Requires: sysstat
Requires: theora-tools
Source: http://www.kernel.org/pub/linux/kernel/people/mason/iowatcher/%{name}-%{version}.tar.bz2
URL: http://masoncoding.com/iowatcher/
Source44: import.info

%description
iowatcher generates graphs from blktrace runs to help visualize IO patterns and
performance as SVG images or movies. It can plot multiple blktrace runs
together, making it easy to compare the differences between different benchmark
runs.

You should install the iowatcher package if you need to visualize detailed
information about IO patterns.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -Wno-unused-result"

%install
make DESTDIR=%{buildroot} prefix=%{_prefix} install
install -Dpm 0644 iowatcher.1 %{buildroot}%{_mandir}/man1/iowatcher.1

%files
%doc README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_3
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_2
- initial fc import

